Subject: Re: git merge --abort deletes unstaged files

From: Andreas Schwab <[email-masked]>
Date: Mon, 15 Sep 2014 23:54:30 +0200

Junio C Hamano <[email-masked]> writes:

> Andreas Schwab <[email-masked]> writes:
>
>> André Hänsel <[email-masked]> writes:
>>
>>> I ran git merge to merge a branch. There were some conflicted files.
>>> Although they were automatically resolved by git rerere, I still had to add
>>> them.
>>
>> If you want them to be added automatically, set rerere.autoupdate=true.
>
> I would have to caution against doing so without thinking, though.
> In other words, it is OK if you are Andreas who knows what he is
> doing, but it is not a very good advice to give to random newbies.

If you are used to doing "git add ." afterwards it can't be much worse.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."